package cn.wise.sc.acquisition.business.service;

import cn.wise.sc.acquisition.business.entity.TProcessesCrusher;
import cn.wise.sc.acquisition.business.model.query.TProcessesCrusherQuery;
import cn.wise.sc.acquisition.business.wrapper.page.Query;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author renchao
 * @since 2021-04-30
 */
public interface ITProcessesCrusherService extends IService<TProcessesCrusher> {

    R getPage(TProcessesCrusherQuery tProcessesCrusherQuery, Query query);

    R getByUid(TProcessesCrusherQuery tProcessesCrusherQuery);

    R updateByUid(TProcessesCrusherQuery query);

    R insertTProcessesCrusher(TProcessesCrusherQuery query);
}
